%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install 2>1 >/dev/null ; then echo "yes" ; fi)

Summary:      stereo LADSPA effects rack for the JACK audio API
Name:         jack-rack
Version:      1.4.2
Release:      1
License:      GPL
Group:        Applications/Multimedia
URL:          http://pkl.net/~node/software/
Source0:      %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Requires:     jack-audio-connection-kit >= 0.66.3
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

%description
JACK Rack is a stereo LADSPA effects rack for the JACK audio API.  It uses
GTK+ 2 for the gui.  LADSPA version 1.1 is needed.

%prep
%setup -q

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#--- create a desktop entry
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=JACK Rack
Comment=Stereo LADSPA effectrs rack
Exec=%{_bindir}/%{name}
Icon=%{name}-icon.png
Terminal=false
Type=Application
EOF
%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif
# remove the original desktop entry
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/jack-rack
%{_datadir}/jack-rack
%{_datadir}/pixmaps/jack-rack*
%{_datadir}/locale/*/*/*.mo
%dir %{_datadir}/dtds
%{_datadir}/dtds/jack_rack*.dtd
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif


%changelog
* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.2-1
- updated to 1.4.2
- added local files to file list
* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.1-2
- rebuild for jack 0.66.3, added explicit requires for it
* Fri Feb 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.1-1
- updated to 1.4.1
* Sat Feb 15 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.0-1
- updated to 1.4.0
- added dtd's in file list
* Wed Feb 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.3.0-1
- updated to 1.3.0
* Wed Feb  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0-1
- updated to 1.2.0
* Tue Jan 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.1-1
- added proper patch for icon issue (thanks to Bob Ham)
- added patch to make gcc2.96 happy on redhat 7.3
* Mon Jan 13 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.1-1
- updated to 1.1.1, now uses librdf and ladcca
- patched to compile with gtk2 2.0.6 (otherwise uses a 2.2 feature)
- added desktop entry compatible with 7.2/7.3/8.0
* Mon Dec 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1
- update to 1.0.1
* Mon Nov 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0-1
- Initial build.
